Skip to content
Pile
Esc
navigateopen⌘Jpreview

Update project update

PATCH/workspaces/{organizationId}/projects/{projectId}/updates/{id}
Path parameters
organizationIdstringrequired
projectIdstringrequired
idstringrequired
Request body
application/json
contentstring
min length 1
contentFormatstring
default: "text"
Allowed:textmarkdownblocks
healthstring
default: "on_track"
Allowed:on_trackat_riskoff_trackpaused
Responses
200Project update updated
idstringrequired
organizationIdstringrequired
projectIdstringrequired
contentstringrequired
contentFormatstringrequired
Allowed:textmarkdownblocks
healthstringrequired
Allowed:on_trackat_riskoff_trackpaused
createdByIdstring | nullrequired
createdAtstringrequired
updatedAtstringrequired
Try it
Server
Parameters
Bodyapplication/json
Request
curl -X PATCH "/workspaces/string/projects/string/updates/string" \
  -H "Content-Type: application/json" \
  -d '{
  "content": "string",
  "contentFormat": "text",
  "health": "on_track"
}'
Response
{
  "id": "string",
  "organizationId": "string",
  "projectId": "string",
  "content": "string",
  "contentFormat": "text",
  "health": "on_track",
  "createdById": "string",
  "createdAt": "string",
  "updatedAt": "string"
}